> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new text note in OncoEMR

> Creates a new text note in OncoEMR for a patient. The body can be plain text or HTML.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/integrations/oncoemr/{slug}/text-notes
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/integrations/oncoemr/{slug}/text-notes:
    post:
      tags:
        - Integration - OncoEMR
      summary: Create a new text note in OncoEMR
      description: >-
        Creates a new text note in OncoEMR for a patient. The body can be plain
        text or HTML.
      parameters:
        - schema:
            type: string
          in: path
          name: slug
          required: true
          description: The slug of the OncoEMR connection.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                patientId:
                  type: string
                  description: The OncoEMR patient ID (e.g., PD_xxx).
                title:
                  type: string
                  description: The document title/header.
                body:
                  type: string
                  description: The document body content. Can be plain text or HTML.
                category:
                  type: string
                  description: The document category. Defaults to 'CPS Authorizations'.
                date:
                  type: string
                  description: >-
                    The document date in M/D/YYYY format (e.g., '1/27/2026').
                    Defaults to today.
              required:
                - patientId
                - title
                - body
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  documentHistoryId:
                    type: string
                    description: The document history ID (DH_xxx) of the created document
                required:
                  - success
                  - documentHistoryId
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Authentication failed
                required:
                  - error
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Internal server error
                required:
                  - error
                additionalProperties: false

````